"use strict";
/*******************************************************************************
 * Copyright (c) 2018 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
// non-nls-file
/**
 * Class to hold constants that are Portal API endpoint paths
 */
class Endpoints {
    static getEndpoint(connection, endpoint) {
        return connection.mcUri.toString().concat(endpoint);
    }
    static getProjectEndpoint(connection, projectID, endpoint) {
        return connection.mcUri.toString().concat(`${Endpoints.PROJECTS}/${projectID}/${endpoint}`);
    }
    static getAppMonitorUrl(connection, projectID) {
        return connection.mcUri.with({ query: `project=${projectID}&view=monitor` });
    }
    static getProjectCreationUrl(connection) {
        return connection.mcUri.with({ query: "new-project=true" });
    }
    static getEnablementAction(enable) {
        return `${enable ? "open" : "close"}`;
    }
}
Endpoints.ENVIRONMENT = "api/v1/environment";
Endpoints.PROJECTS = "api/v1/projects";
Endpoints.VALIDATE_ACTION = "api/v1/validate";
Endpoints.GENERATE_ACTION = "api/v1/validate/generate";
Endpoints.RESTART_ACTION = "restart";
Endpoints.BUILD_ACTION = "build";
Endpoints.BUILD_LOG = "build-log";
exports.default = Endpoints;
//# sourceMappingURL=Endpoints.js.map